package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.PartnerInfo;
import com.kexun.service.PartnerInfoService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/*
新添加
 * 目标：合作方相关操作接口
 * 目前：目前只有增、查合作方，
 此外，由组合字段过滤到模型进行逻辑判断的整体的解析逻辑打通还需改动
 */

@RestController
@RequestMapping("/admin/partner")
@Log
public class PartnerController {

    @Autowired
    private PartnerInfoService PartnerInfoService;

    @GetMapping("list")
    public Result list(String partnerName) {
        QueryWrapper<PartnerInfo> w = new QueryWrapper<>();
        if (!StringUtils.isEmpty(partnerName)) {
            w.like("partner_name", partnerName);
        }

        List<PartnerInfo> list = PartnerInfoService.list(w);
        return Result.success("ok", list);
    }

    @PostMapping("partnerAdd")
    @Transactional
    public Result add(@RequestBody JSONObject param) {
        String partnerName = param.getString("partnerName");
        String contactName = param.getString("contactName");
        String mobileNo = param.getString("mobileNo");
        String rate1 = param.getString("rate1");
        String queryNumber1 = param.getString("queryNumber1");
        String rate2 = param.getString("rate2");
        String queryNumber2 = param.getString("queryNumber2");
        String rate3 = param.getString("rate3");
        String queryNumber3 = param.getString("queryNumber3");
        String isEnable = param.getString("isEnable");
        PartnerInfo partnerInfo = new PartnerInfo();
        partnerInfo.setPartnerName(partnerName);
        partnerInfo.setContactName(contactName);
        partnerInfo.setMobileNo(mobileNo);
        partnerInfo.setRate1(rate1);
        partnerInfo.setQueryNumber1(queryNumber1);
        partnerInfo.setRate2(rate2);
        partnerInfo.setQueryNumber2(queryNumber2);
        partnerInfo.setRate3(rate3);
        partnerInfo.setQueryNumber3(queryNumber3);
        Date date = new Date();
        partnerInfo.setCreateTime(date.toString());
        partnerInfo.setIsEnable(isEnable);
        PartnerInfoService.save(partnerInfo);

        return Result.success();
    }

}
